// 定义全局常量
// 好处：不易写错和便于管理

// userStore persisted cache key
export const USER_STORE_CACHE_KEY = 'user_store_cache_key'
export const APP_STORE_CACHE_KEY = 'app_store_cache_key'
export const THEME_STORE_CACHE_KEY = 'theme_store_cache_key'
export const PERMISSION_STORE_CACHE_KEY = 'permission_store_cache_key'

// token name
export const LOGIN_TOKEN = 'login/token'

// token 时间戳
export const TIME_STAMP = 'timeStamp'
// token 有效时间: 超过即为超时
export const TOKEN_TIMEOUT_VALUE = 2 * 3600 * 1000 // 2 小时

// 国际化默认使用语言: 英文
export const DEFAULT_LOCALE_LANGUAGE = 'zh' // zh (中文) / en (英文)

// 默认主题色
// export const THEME_DEFAULT_COLOR = '#409eff'
export const THEME_DEFAULT_COLOR = ''

// 用户管理导入 excel 的键映射对象
export const USER_RELATIONS: any = {
  姓名: 'username',
  联系方式: 'mobile',
  角色: 'role',
  开通时间: 'openTime'
}
