/**
 * 解析 excel 导入的时间格式( 固定转换公式 )
 */
export const formatDate = (numb: number) => {
  const time = new Date((numb - 1) * 24 * 3600000 + 1)
  time.setFullYear(time.getFullYear() - 70)
  const year = time.getFullYear()
  const month = time.getMonth() + 1
  const date = time.getDate() - 1
  return (
    year +
    '-' +
    (month < 10 ? '0' + month : month) +
    '-' +
    (date < 10 ? '0' + date : date)
  )
}
